# SlickException (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick
Class SlickException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.newdawn.slick.SlickException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ParsingException, SlickXMLException

    public class SlickException

extends java.lang.Exception

A generic exception thrown by everything in the library

Author:
  kevin
See Also:
  Serialized Form

Constructor Summary
`SlickException(java.lang.String message)` Create a new exception with a detail message
`SlickException(java.lang.String message, java.lang.Throwable e)` Create a new exception with a detail message

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SlickException

    public SlickException(java.lang.String message)

  Create a new exception with a detail message

  Parameters:
    `message` - The message describing the cause of this exception

### SlickException

    public SlickException(java.lang.String message,
                          java.lang.Throwable e)

  Create a new exception with a detail message

  Parameters:
    `message` - The message describing the cause of this exception
    `e` - The exception causing this exception to be thrown

Copyright © 2006 New Dawn Software. All Rights Reserved.